---     
tags: 
  - Sectors
description: Creates a new sector.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        'name': 'Test Sector', 
        'region_id': 2828, 
        'active': False
        }
produces: 
  - 'application/json'
responses:
  201:
    schema:
      type: object
      example: {
        "message": "sector created",
        "id": 5
      }
  400:
    schema:
      type: object
      example: {
        "message": "invalid region ID"
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'
